#
# spec file for package newt (Version 0.50.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  popt python python-devel slang tcl tcl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps python python-devel rcs readline rpm sendmail sh-utils shadow slang strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone unzip util-linux vim

Name:         newt
Summary:      Nifty Erik's Windowing Toolkit
Version:      0.50.8
Release:      232
Copyright: LGPL
Group: System Environment/Libraries
Source: newt-%{version}.tar.gz
Patch:  newt-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build
Requires: slang
Provides: snack
%package devel
Summary:      Development Kit for newt
Provides:  newtd
Requires: slang
Group: Development/Libraries
Obsoletes: newtd

%description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.

Authors:
--------
    Erik Troan <ewt@redhat.com>

SuSE series: ap

%define py_ver %(python -c 'import sys; print sys.version[:3];')

%description devel
The newd package contains the header files and libraries
necessary for developing applications which use newt.  Newt is a
development library for text mode user interfaces.  Newt is based on
the slang library.

Authors:
--------
    Erik Troan <ewt@redhat.com>

SuSE series: d

%prep
%setup
%patch

%build
./configure --prefix=/usr --with-gpm-support 
make pythonversion=%{py_ver}
make shared pythonversion=%{py_ver}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make instroot=$RPM_BUILD_ROOT install pythonversion=%{py_ver}
make instroot=$RPM_BUILD_ROOT install-sh  pythonversion=%{py_ver}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc CHANGES COPYING
/usr/lib/libnewt.so.*
/usr/bin/whiptail
/usr/lib/python%{py_ver}/snack.py
/usr/lib/python%{py_ver}/lib-dynload/_snackmodule.so

%files devel
%defattr (-,root,root)
%doc tutorial.sgml
/usr/include/newt.h
/usr/lib/libnewt.a
/usr/lib/libnewt.so

%changelog -n newt
* Tue Jan 16 2001 - schwab@suse.de
- Fix missing -fPIC in Makefile.
- Fix use of varargs.
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Wed Nov 29 2000 - smid@suse.cz
- subpackage renamed: newtd => newt-devel
* Fri Nov 24 2000 - ro@suse.de
- fixes for 2.0-python
* Sun Oct 29 2000 - kukuk@suse.de
- Add python-devel to need for build
* Mon May 22 2000 - smid@suse.cz
- fixed to compile with tcl8.3
* Wed May 10 2000 - nadvornik@suse.cz
- update to 0.50.8
- added BuildRoot
* Mon Jan 17 2000 - nashif@suse.de
- Initial Release ( Version 0.50)
